Bug 1403381 - Review Request: microdnf - Micro DNF
Summary: Review Request: microdnf - Micro DNF
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 21:33 UTC by Igor Gnatenko
Modified: 2017-01-01 11:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-01 11:08:00 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2016-12-09 21:33:38 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/microdnf.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/microdnf-0-5.gitbb62334.fc26.src.rpm
Description: Micor DNF.
Fedora Account System Username: ignatenkobrain

Comment 1 Neal Gompa 2016-12-09 22:07:31 UTC
Taking this review.

Comment 2 Neal Gompa 2016-12-09 22:21:21 UTC
Overall, this looks great.

However, there's one problem:

> Release:        5.git%{shortcommit}%{?dist}

This is not valid form, per the guidelines. Pre-release builds (that is, git snapshot builds like this one) need to have a release number less than 1.

So, it should start with "0.1" or something like that.

Comment 3 Jason Tibbitts 2016-12-10 01:27:47 UTC
Yes, prerelease versions must have a release beginning with 0.N.  Snapshot releases must also include the date.

0.5.20161209git%{shortcommit}%{?dist}

https://fedoraproject.org/wiki/Packaging:Versioning

And the big cleanup I'm working on, which you may find clearer:

https://fedoraproject.org/wiki/User:Tibbs/VersioningCleanup

Just got a suggestion for clarifying this even further, so I'll be working on that more over the weekend.

Comment 4 Igor Gnatenko 2016-12-12 15:44:29 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/microdnf.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/microdnf-1-1.fc26.src.rpm

Jason, Neal,
* IMO 0.X makes sense when Version != 0
* gitdate is completely useless (even is mandated guidelines)

Given that I just released v1 in upstream to not have long and pointless discussion here.

Comment 5 Neal Gompa 2016-12-12 15:46:48 UTC
Looks good to me.

PACKAGE APPROVED.

Comment 6 Gwyn Ciesla 2016-12-12 15:55:33 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/microdnf


Note You need to log in before you can comment on or make changes to this bug.